require 'phi'
include Phi

form = Form.new

count = 0

timer_proc = proc do |sender|
  if count == 16
    sender.enabled = false 
  else
    print "#{sender.name}: #{count}\n"
    count+= 1
  end
end

1.upto(5) do |i|
  timer = Timer.new
  timer.on_timer = timer_proc
  timer.interval = i * 100
end

form.show

Phi.mainloop
